<template>
  <button
    class="btn"
    :class="classes"
    @touchstart="$emit('touchstart')"
    @touchend="$emit('touchend')"
    @click="$emit('click')">
    <slot>
    </slot>
  </button>
</template>

<script>
  export default {
    name: "Btn",
    props: {
      disable: {
        type: Boolean,
        default: false
      },
      icon: {
        type: Boolean,
        default: false
      },
      flat: {
        type: Boolean,
        default: false
      },
      round: {
        type: Boolean,
        default: false
      },
      uppercase: {
        type: Boolean,
        default: false
      },
      plain: {
        type: Boolean,
        default: false
      },
      square: {
        type: Boolean,
        default: false
      },
      noPadding: {
        type: Boolean,
        default: false
      }
    },
    data() {
      return {}
    },
    computed: {
      classes() {
        const round = this.round ? 'round ' : '';
        const uppercase = this.round ? 'uppercase ' : '';
        const plain = this.plain ? 'plain ' : '';
        const noPadding = this.noPadding ? 'noPadding ' : '';
        const flat = this.flat ? 'flat ' : '';
        const icon = this.icon ? 'icon ' : '';
        const square = this.square ? 'square ' : '';
        const disabled = this.disabled ? 'disabled ' : '';
        return round + uppercase + plain + noPadding + flat + icon + disabled + square;
      }
    },
    methods: {},
    created() {
    }
  }
</script>
